Bug 1031961 - PartitionException: Can't have overlapping partitions. [NEEDINFO]
PartitionException: Can't have overlapping partitions.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
ppc64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:e1be8db60e0212558404b38a247...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 04:02 EST by Erik Larsson
Modified: 2014-12-19 15:36 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-19 15:36:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dshea: needinfo? (catacombae)


Attachments (Terms of Use)
File: anaconda-tb (455.11 KB, text/plain)
2013-11-19 04:02 EST, Erik Larsson
no flags Details
File: anaconda.log (34.83 KB, text/plain)
2013-11-19 04:02 EST, Erik Larsson
no flags Details
File: environ (405 bytes, text/plain)
2013-11-19 04:02 EST, Erik Larsson
no flags Details
File: lsblk_output (2.40 KB, text/plain)
2013-11-19 04:03 EST, Erik Larsson
no flags Details
File: nmcli_dev_list (6.25 KB, text/plain)
2013-11-19 04:03 EST, Erik Larsson
no flags Details
File: os_info (291 bytes, text/plain)
2013-11-19 04:03 EST, Erik Larsson
no flags Details
File: program.log (64.91 KB, text/plain)
2013-11-19 04:03 EST, Erik Larsson
no flags Details
File: storage.log (242.35 KB, text/plain)
2013-11-19 04:03 EST, Erik Larsson
no flags Details
File: syslog (111.62 KB, text/plain)
2013-11-19 04:03 EST, Erik Larsson
no flags Details
File: ifcfg.log (1.53 KB, text/plain)
2013-11-19 04:03 EST, Erik Larsson
no flags Details
File: packaging.log (17.23 KB, text/plain)
2013-11-19 04:03 EST, Erik Larsson
no flags Details

  None (edit)
Description Erik Larsson 2013-11-19 04:02:41 EST
Description of problem:
Attempted to configure partitions on a PowerMac with an Apple Partition Map-partitioned hard drive. The partitions were supposed to be located in between some other OS partitions (two Mac OS X instances). When attempting to create a default layout, Anaconda crashed.

Version-Release number of selected component:
anaconda-20.25.6-1

The following was filed automatically by anaconda:
anaconda 20.25.6-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/parted/disk.py", line 309, in setPartitionGeometry
    start, end)
  File "/usr/lib64/python2.7/site-packages/parted/decorators.py", line 41, in new
    ret = fn(*args, **kwds)
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 1266, in _setTargetSize
    start=geometry.start, end=geometry.end)
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 605, in <lambda>
    lambda s, v: s._setTargetSize(v),
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 400, in __init__
    self.device.targetSize = newsize
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1250, in resizeDevice
    self.devicetree.registerAction(action_class(device, new_size))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1454, in _save_right_side
    self.__storage.resizeDevice(device, size)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2411, in _save_current_selector
    self._save_right_side(self._current_selector)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2488, in on_page_clicked
    self._save_current_selector()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/accordion.py", line 146, in _onExpanded
    cb(obj.get_child())
PartitionException: Can't have overlapping partitions.

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/ppc/ppc64/vmlinuz ro nouveau.noaccel=1
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.6-301.fc20.ppc64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        20-Beta
Comment 1 Erik Larsson 2013-11-19 04:02:47 EST
Created attachment 825956 [details]
File: anaconda-tb
Comment 2 Erik Larsson 2013-11-19 04:02:52 EST
Created attachment 825957 [details]
File: anaconda.log
Comment 3 Erik Larsson 2013-11-19 04:02:56 EST
Created attachment 825958 [details]
File: environ
Comment 4 Erik Larsson 2013-11-19 04:03:00 EST
Created attachment 825959 [details]
File: lsblk_output
Comment 5 Erik Larsson 2013-11-19 04:03:04 EST
Created attachment 825960 [details]
File: nmcli_dev_list
Comment 6 Erik Larsson 2013-11-19 04:03:08 EST
Created attachment 825962 [details]
File: os_info
Comment 7 Erik Larsson 2013-11-19 04:03:12 EST
Created attachment 825963 [details]
File: program.log
Comment 8 Erik Larsson 2013-11-19 04:03:16 EST
Created attachment 825964 [details]
File: storage.log
Comment 9 Erik Larsson 2013-11-19 04:03:20 EST
Created attachment 825965 [details]
File: syslog
Comment 10 Erik Larsson 2013-11-19 04:03:23 EST
Created attachment 825966 [details]
File: ifcfg.log
Comment 11 Erik Larsson 2013-11-19 04:03:27 EST
Created attachment 825967 [details]
File: packaging.log
Comment 12 David Shea 2014-12-08 17:55:52 EST
Can you retest this with Fedora 21?

Note You need to log in before you can comment on or make changes to this bug.